Latest update failed

Problem with Beta 5.0:
Ran pihole -up and it failed to download FTL and threw a checksum error. See below:

pi@pi0:~ $ pihole -up
  [i] Checking for updates...
  [i] Pi-hole Core:	up to date
  [i] Web Interface:	up to date
  [i] FTL:		update available
  [i] Warning: You are using FTL from a custom branch (release/v5.0) and might be missing future releases.

  [i] FTL out of date, it will be updated by the installer.

  [✓] Root user check

        .;;,.
        .ccccc:,.
         :cccclll:.      ..,,
          :ccccclll.   ;ooodc
           'ccll:;ll .oooodc
             .;cll.;;looo:.
                 .. ','.
                .',,,,,,'.
              .',,,,,,,,,,.
            .',,,,,,,,,,,,....
          ....''',,,,,,,'.......
        .........  ....  .........
        ..........      ..........
        ..........      ..........
        .........  ....  .........
          ........,,,,,,,'......
            ....',,,,,,,,,,,,.
               .',,,,,,,,,'.
                .',,,,,,'.
                  ..'''.

  [i] Existing PHP installation detected : PHP version 7.3.14-1~deb10u1
  [i] Performing unattended setup, no whiptail dialogs will be displayed
  [✓] Disk space check
  [✓] Update local cache of available packages

  [✓] Checking apt-get for upgraded packages... 2 updates available
  [i] It is recommended to update your OS after installing the Pi-hole!

  [i] Installer Dependency checks...
  [✓] Checking for dhcpcd5
  [✓] Checking for git
  [✓] Checking for iproute2
  [✓] Checking for whiptail

  [i] SELinux not detected
  [i] Performing reconfiguration, skipping download of local repos
  [✓] Resetting repository within /etc/.pihole...
  [✓] Resetting repository within /var/www/html/admin...
  [i] Main Dependency checks...
  [✓] Checking for cron
  [✓] Checking for curl
  [✓] Checking for dnsutils
  [✓] Checking for iputils-ping
  [✓] Checking for lsof
  [✓] Checking for netcat
  [✓] Checking for psmisc
  [✓] Checking for sudo
  [✓] Checking for unzip
  [✓] Checking for wget
  [✓] Checking for idn2
  [✓] Checking for sqlite3
  [✓] Checking for libcap2-bin
  [✓] Checking for dns-root-data
  [✓] Checking for resolvconf
  [✓] Checking for libcap2
  [✓] Checking for lighttpd
  [✓] Checking for php7.3-common
  [✓] Checking for php7.3-cgi
  [✓] Checking for php7.3-sqlite3
  [✓] Checking for php7.3-xml
  [✓] Checking for php-intl

  [✓] Enabling lighttpd service to start on reboot...
  [✓] Checking for user 'pihole'

  [i] FTL Checks...

  [✓] Detected ARM-hf architecture (armv6 or lower) Using ARM binary
  [i] Checking for existing FTL binary...
  [i] Checksums do not match, downloading from ftl.pi-hole.net.
  [i] Downloading and Installing FTL...pihole-FTL-arm-linux-gnueabi: FAILED
sha1sum: WARNING: 1 computed checksum did NOT match
  [✗] Downloading and Installing FTL
  Error: Download of https://ftl.pi-hole.net/release/v5.0/pihole-FTL-arm-linux-gnueabi failed (checksum error)
  [✗] FTL Engine not installed

  Unable to complete update, please contact Pi-hole Support

Debug Token:
Failed to upload. File included here pihole_debug.log.txt (23.1 KB)

Same thing here. Trying to update V5 on Raspberry Pi B+. Checksum error on FTL install.

–
Pascal

Likewise here - Pi Zero W. Pihole -r returns the same bad checksum error.

I just ran the update on a beta 5.0 on a Zero with no problems. Please try again and see if the problem is resolved.

I’ve triggered the build to upload again and I’ve manually checked the SHA1 sums. They look okay now.

sha1sum -c *.sha1
pihole-FTL-aarch64-linux-gnu: OK
pihole-FTL-arm-linux-gnueabi: OK
pihole-FTL-arm-linux-gnueabihf: OK
pihole-FTL-armel-native: OK
pihole-FTL-linux-x86_32: OK
pihole-FTL-linux-x86_64: OK
pihole-FTL-musl-linux-x86_64: OK
1 Like

Worked this time.
Thanks!

It is working again here too, thanks guys.

Not working for me, but the error message changed :

[i] Downloading and Installing FTL...curl: (6) Could not resolve host: ftl.pi-hole.net
  [✗] Downloading and Installing FTL
  Error: URL https://ftl.pi-hole.net/release/v5.0/pihole-FTL-arm-linux-gnueabi not found
  [✗] FTL Engine not installed

  Unable to complete update, please contact Pi-hole Support

[EDIT] Sorry, no problem with ftl.pi-hole.net, something wrong with the Pi this time.